%define upstream_name    Text-Padding
%define upstream_version 1.110170

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Simple way of formatting a text
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Truncate)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This module provides a simple way to align a text on the left, right or
center. If left & right are easy to achieve (see 'sprintf()'), i found no
cpan module that achieved a simple text centering. Well, of course, the
Perl6::Form manpage provides it, but it's incredibly slow during startup /
destroy time. And the Text::Reform manpage was segfaulting during destroy
time.

Hence this module, which aims to provide only those 3 methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.110.170-11.mga10
+ Revision: 2201038
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.110.170-10.mga9
+ Revision: 1806380
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.110.170-9.mga8
+ Revision: 1497721
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.110.170-8.mga7
+ Revision: 1272068
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.110.170-7.mga6
+ Revision: 1035019
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.110.170-6.mga6
+ Revision: 945078
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.110.170-5.mga5
+ Revision: 739649
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.110.170-4.mga5
+ Revision: 686639
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.110.170-3.mga4
+ Revision: 515504
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.110.170-2.mga3
+ Revision: 374129
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 31 2011 jquelin <jquelin> 1.110.170-1.mga1
+ Revision: 45368
- imported package perl-Text-Padding


* Mon Jan 31 2011 cpan2dist 1.110170-1mdv
- initial mdv release, generated with cpan2dist
